apt: PackageManagerProgressFd Class Reference

apt 2.7.5 commandline package manager

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PackageManagerProgressFd Class Reference
Inheritance diagram for PackageManagerProgressFd:

## Public Member Functions
| PackageManagerProgressFd (int progress_fd)
virtual void | StartDpkg () APT_OVERRIDE
virtual void | Stop () APT_OVERRIDE
virtual bool | StatusChanged (std::string PackageName, unsigned int StepsDone, unsigned int TotalSteps, std::string HumanReadableAction) APT_OVERRIDE
virtual void | Error (std::string PackageName, unsigned int StepsDone, unsigned int TotalSteps, std::string ErrorMessage) APT_OVERRIDE
virtual void | ConffilePrompt (std::string PackageName, unsigned int StepsDone, unsigned int TotalSteps, std::string ConfMessage) APT_OVERRIDE
Public Member Functions inherited from PackageManager
virtual void | Start (int=-1)
virtual pid_t | fork ()
virtual void | Pulse ()
virtual long | GetPulseInterval ()

## Protected Member Functions
void | WriteToStatusFd (std::string msg)

## Protected Attributes
int | OutStatusFd
int | StepsDone
int | StepsTotal
Protected Attributes inherited from PackageManager
std::string | progress_str
float | percentage
int | last_reported_progress

## Member Function Documentation

## ◆ ConffilePrompt()

void ConffilePrompt | ( | std::string | PackageName,
|  | unsigned int | StepsDone,
|  | unsigned int | TotalSteps,
|  | std::string | ConfMessage
| ) |  |
| virtual

Reimplemented from PackageManager.

## ◆ Error()

void Error | ( | std::string | PackageName,
|  | unsigned int | StepsDone,
|  | unsigned int | TotalSteps,
|  | std::string | ErrorMessage
| ) |  |
| virtual

Reimplemented from PackageManager.

## ◆ StartDpkg()

void StartDpkg | ( |  | ) |
| virtual

Todo:
  use SetCloseExec here once it taught about throwing

Reimplemented from PackageManager.

## ◆ StatusChanged()

bool StatusChanged | ( | std::string | PackageName,
|  | unsigned int | StepsDone,
|  | unsigned int | TotalSteps,
|  | std::string | HumanReadableAction
| ) |  |
| virtual

Reimplemented from PackageManager.

## ◆ Stop()

void Stop | ( |  | ) |
| virtual

Reimplemented from PackageManager.

The documentation for this class was generated from the following files:

- apt-pkg/install-progress.h
- apt-pkg/install-progress.cc